This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 115480 - CDT Debug does not work (throws NPE) on x86_64
CDT Debug does not work (throws NPE) on x86_64
Status: CLOSED NEXTRELEASE
Product: Red Hat Developer Suite
Classification: Retired
Component: CDT (Show other bugs)
1.0
x86_64 Linux
high Severity medium
: ---
: ---
Assigned To: Tom Tromey
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-12 16:18 EST by Peter Faltaous
Modified: 2014-08-11 01:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-05 15:00:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
.log trace (6.25 KB, text/plain)
2004-02-12 16:23 EST, Peter Faltaous
no flags Details

  None (edit)
Description Peter Faltaous 2004-02-12 16:18:04 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.2)
Gecko/20030716

Description of problem:
You cannot use the CDT to debug on x86_64. When you try to debug a
C/C++ program it switches to the debug perspective but none of the
debugging functionality, such as step, step over etc, is enabled. If
you look at the debug configurations dialog, it claims that there is
no debugger available.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Checkout and build eclipse from the 64 bit Eclipse 2.1.2 branch
(x86_64_v2_1_2_dev_branch)
2.Create a very simple C/C++ project, or you could use one that
already exists
3.Try to debug the C/C++ project
    

Actual Results:  Debug doesn't work, throws NPE.

Expected Results:  Should be able to debug.

Additional info: Note that the CDT version is actually 1.2.1 not 1.0
Comment 1 Peter Faltaous 2004-02-12 16:23:14 EST
Created attachment 97631 [details]
.log trace
Comment 2 Peter Faltaous 2004-03-05 15:00:18 EST
I've checked in a fix for this and sent it upstream.

Note You need to log in before you can comment on or make changes to this bug.